summaryrefslogtreecommitdiff
path: root/graphics/ketcindy/forMac
diff options
context:
space:
mode:
authorNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
committerNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
commite0c6872cf40896c7be36b11dcc744620f10adf1d (patch)
tree60335e10d2f4354b0674ec22d7b53f0f8abee672 /graphics/ketcindy/forMac
Initial commit
Diffstat (limited to 'graphics/ketcindy/forMac')
-rw-r--r--graphics/ketcindy/forMac/Forsettingmanually/ketcindy.conf4
-rw-r--r--graphics/ketcindy/forMac/Forsettingmanually/ketcindy.ini6
-rw-r--r--graphics/ketcindy/forMac/ReadmeMacE.pdfbin0 -> 22033 bytes
-rw-r--r--graphics/ketcindy/forMac/ReadmeMacJ.pdfbin0 -> 75084 bytes
-rwxr-xr-xgraphics/ketcindy/forMac/setketcindy.command147
-rwxr-xr-xgraphics/ketcindy/forMac/setwork.command43
6 files changed, 200 insertions, 0 deletions
diff --git a/graphics/ketcindy/forMac/Forsettingmanually/ketcindy.conf b/graphics/ketcindy/forMac/Forsettingmanually/ketcindy.conf
new file mode 100644
index 0000000000..376bb36413
--- /dev/null
+++ b/graphics/ketcindy/forMac/Forsettingmanually/ketcindy.conf
@@ -0,0 +1,4 @@
+// Re-setting PathT,PathR,Pathpdf,PathM,PathAd,Mackc
+PathT=PathThead+"uplatex";
+Pathpdf="preview";
+Mackc="open";
diff --git a/graphics/ketcindy/forMac/Forsettingmanually/ketcindy.ini b/graphics/ketcindy/forMac/Forsettingmanually/ketcindy.ini
new file mode 100644
index 0000000000..c65e220475
--- /dev/null
+++ b/graphics/ketcindy/forMac/Forsettingmanually/ketcindy.ini
@@ -0,0 +1,6 @@
+PathThead="/Applications/kettex/texlive/bin/x86_64-darwin/";
+Dirhead="/Applications/kettex/texlive/texmf-dist/scripts/ketcindy";
+Homehead="/Users";
+setdirectory(Dirhead);
+import("setketcindy.txt");
+import("ketoutset.txt");
diff --git a/graphics/ketcindy/forMac/ReadmeMacE.pdf b/graphics/ketcindy/forMac/ReadmeMacE.pdf
new file mode 100644
index 0000000000..52c5a55199
--- /dev/null
+++ b/graphics/ketcindy/forMac/ReadmeMacE.pdf
Binary files differ
diff --git a/graphics/ketcindy/forMac/ReadmeMacJ.pdf b/graphics/ketcindy/forMac/ReadmeMacJ.pdf
new file mode 100644
index 0000000000..a2079e6e4b
--- /dev/null
+++ b/graphics/ketcindy/forMac/ReadmeMacJ.pdf
Binary files differ
diff --git a/graphics/ketcindy/forMac/setketcindy.command b/graphics/ketcindy/forMac/setketcindy.command
new file mode 100755
index 0000000000..469553fb25
--- /dev/null
+++ b/graphics/ketcindy/forMac/setketcindy.command
@@ -0,0 +1,147 @@
+#!/bin/sh
+# 20190616
+
+# Edit and uncomment the following lines if necessary
+#texpath=/Applications/kettex/texlive
+#texbinpath=${texpath}/bin/x86_64-darwin
+#ketcindyscripts=${texpath}/texmf-dist/scripts/ketcindy
+#ketcindydoc=${texpath}/texmf-dist/doc/support/ketcindy
+#ketcindystyle=${texpath}/texmf-dist/tex/latex/ketcindy
+homehead=/Users
+cindyplug=/Applications/Cinderella2.app/Contents/PlugIns
+
+echo Plugins of Cinderella
+read -p ' '${cindyplug}?' (y/n): ' ans
+if [ ${ans} != "y" ]; then
+ echo Edit cindyplug in this file
+ sleep 2
+ exit 0
+fi
+echo Cinderella Plugins=${cindyplug}
+
+cd `dirname $0`
+if [ -e ../ketcindyfolder ]; then
+ cd ../ketcindyfolder
+fi
+
+echo `pwd ` will be used
+echo 1. "/Applications/kettex/texlive".
+echo 2. "/Applications/kettex.app/texlive"
+echo 3. "/Library/TeX (TeXLive)"
+echo 4. Modification of this file is finished
+read -p 'Choose path of TeX from the above (number) : ' ans
+if [ ${ans} = "1" ]; then
+ texpath=/Applications/kettex/texlive
+ texbinpath=${texpath}/bin/x86_64-darwin
+ ketcindyscripts=${texpath}/texmf-dist/scripts/ketcindy
+ ketcindydoc=${texpath}/texmf-dist/doc/support/ketcindy
+ ketcindystyle=${texpath}/texmf-dist/tex/latex/ketcindy
+fi
+if [ ${ans} = "2" ]; then
+ texpath=/Applications/kettex.app/texlive
+ texbinpath=${texpath}/bin/x86_64-darwin
+ ketcindyscripts=${texpath}/texmf-dist/scripts/ketcindy
+ ketcindydoc=${texpath}/texmf-dist/doc/support/ketcindy
+ ketcindystyle=${texpath}/texmf-dist/tex/latex/ketcindy
+fi
+if [ ${ans} = "3" ]; then
+ texpath=/Library/TeX/Root
+ texbinpath=/Library/TeX/texbin
+ ketcindyscripts=${texpath}/texmf-dist/scripts/ketcindy
+ ketcindydoc=${texpath}/texmf-dist/doc/support/ketcindy
+ ketcindystyle=${texpath}/texmf-dist/tex/latex/ketcindy
+fi
+echo texpath=${texpath}
+echo texbinpath=${texbinpath}
+#read -p 'Do you really copy ketcindyscripts? (y,n): ' ans
+#if [ ${ans} = "y" ]; then
+ echo copying scripts
+ sudo cp -r -p scripts/ ${ketcindyscripts}/
+ if [ $? -gt 0 ]; then
+ echo Error $?
+ sleep 5
+ else
+ echo "scripts copied to "${ketcindyscripts}
+ fi
+#fi
+sudo cp -r -p doc/ ${ketcindydoc}/
+if [ $? -gt 0 ]; then
+ echo Error $?
+ sleep 5
+else
+ echo "doc copied to "${ketcindydoc}
+fi
+sudo cp -r -p style/ ${ketcindystyle}/
+if [ $? -gt 0 ]; then
+ echo Error $?
+ sleep 5
+else
+ echo "styles copied to "${ketcindystyle}
+ sudo ${texbinpath}/mktexlsr
+fi
+
+cd ${ketcindyscripts}
+cp -p ketjava/KetCindyPlugin.jar ${cindyplug}
+
+# 20190616from
+cd ${cindyplug}
+remake="y"
+if [ -e ketcindy.ini ]; then
+ echo "Contentes of ketcindy.ini : "
+ echo ""
+ cat ketcindy.ini
+ echo ""
+ read -p 'Do you want to remake ketcindy.ini? (y/n) : ' remake
+fi
+if [ ${remake} = "y" ]; then
+ echo "ketcindy.ini will be made"
+else
+ echo "finished"
+ sleep 1
+ exit 0
+fi
+# 20190616to
+
+echo "PathThead=\"${texbinpath}/\";" > ketcindy.ini
+echo "Dirhead=\"${ketcindyscripts}\";" >> ketcindy.ini
+echo "Homehead=\"${homehead}\";" >> ketcindy.ini
+echo "setdirectory(Dirhead);" >> ketcindy.ini
+echo "import(\"setketcindy.txt\");" >> ketcindy.ini
+echo "import(\"ketoutset.txt\");" >> ketcindy.ini
+
+echo "Choose TeX with the 1st(+2nd) character"
+read -p 'p=platex, u=uplatex, l=latex, x=xelatex, pd=pdflatex, lu=lualatex:' tex
+if [ ${tex} = "p" ]; then
+ tex="platex"
+fi
+if [ ${tex} = "u" ]; then
+ tex="uplatex"
+fi
+if [ ${tex} = "l" ]; then
+ tex="latex"
+fi
+if [ ${tex} = "x" ]; then
+ tex="xelatex"
+fi
+if [ ${tex} = "pd" ]; then
+ tex="pdflatex"
+fi
+if [ ${tex} = "lu" ]; then
+ tex="lualatex"
+fi
+echo "PathT=PathThead+\"${tex}\";" >> ketcindy.ini
+echo "Pathpdf=\"preview\";" >> ketcindy.ini
+
+pathM="/Applications/Maxima.app/Contents/Resources/maxima.sh"
+pathMn="/Applications/Maxima.app/Contents/Resources/opt/bin/maxima"
+find -f ${pathM}
+if [ $? -gt 0 ]; then
+ echo "PathM=\"${pathMn}\";" >> ketcindy.ini
+else
+ echo "PathM=\"${pathM}\";" >> ketcindy.ini
+fi
+echo "Mackc=\"open\";" >> ketcindy.ini
+
+echo "ketcindy.ini generated(updated)"
+sleep 1
+exit 0 \ No newline at end of file
diff --git a/graphics/ketcindy/forMac/setwork.command b/graphics/ketcindy/forMac/setwork.command
new file mode 100755
index 0000000000..674c423716
--- /dev/null
+++ b/graphics/ketcindy/forMac/setwork.command
@@ -0,0 +1,43 @@
+#!/bin/sh
+# 20190614
+cd `dirname $0`
+if [ -e ../ketcindyfolder ]; then
+ cd ../ketcindyfolder
+fi
+echo Files will be copied from
+echo " "`pwd`/work
+changesetting=/.ketcindy.conf #181017
+home=~
+dist=${home}/ketcindy #180913
+cp -r -p work/ ${dist}/
+if [ $? -gt 0 ]; then
+ echo Error:$?
+ sleep 5
+else
+ echo Workfolder has been generated as ${dist}
+ echo " "This folder can be moved to any place ##180913
+fi
+read -p 'Language (j/e) : ' lang
+cd doc/ketmanual
+if [ ${lang} = "e" ]; then
+ cp -p KeTCindyReferenceE.pdf ${dist}
+ cp -p KeTCindyGuideE.pdf ${dist}
+ cp -p KeTpicStyleE.pdf ${dist}
+else
+ cp -p KeTCindyReferenceJ.pdf ${dist}
+ cp -p KeTCindyGuideJ.pdf ${dist}
+ cp -p KeTpicStyleJ.pdf ${dist}
+fi
+
+echo Generating ${home}/${changesetting}
+echo // Re-setting PathT,PathR,Pathpdf,PathM,PathAd,Mackc >${home}${changesetting}
+echo "// PathT=PathThead+\"platex\";" >>${home}${changesetting}
+echo "// Pathpdf=\"skim\";" >> ${home}${changesetting}
+pathM="/Applications/Maxima.app/Contents/Resources/maxima.sh"
+pathMn="/Applications/Maxima.app/Contents/Resources/opt/bin/maxima"
+echo "// PathM=\"${pathM}\";" >> ${home}${changesetting}
+echo "// PathM=\"${pathMn}\";" >> ${home}${changesetting}
+echo "// Mackc=\"open\";" >>${home}${changesetting}
+
+sleep 1
+exit 0 \ No newline at end of file